aboutsummaryrefslogtreecommitdiffstats
path: root/git-merge-one-file-script
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-05-07 12:26:15 -0700
committerJunio C Hamano <junkio@cox.net>2005-05-07 12:26:15 -0700
commitc7d1d4e1b50a60abfec5c5daaeb104bc9838b44c (patch)
tree2a2c03e51390295f0de47a093fe58117500d6cbd /git-merge-one-file-script
parent8eef4d3ed13d7604056b26ce58d0db007be530dd (diff)
downloadgit-c7d1d4e1b50a60abfec5c5daaeb104bc9838b44c.tar.gz
Use backticks in git-merge-one-file-script instead of $(command).
Thomas Glanzmann says that shell he uses on Solaris cannot grok $(command) but the script does not use nested $(command) and works happily just by using backticks instead. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-merge-one-file-script')
-rwxr-xr-xgit-merge-one-file-script8
1 files changed, 4 insertions, 4 deletions
diff --git a/git-merge-one-file-script b/git-merge-one-file-script
index 3fb43ccb09..3e128c665d 100755
--- a/git-merge-one-file-script
+++ b/git-merge-one-file-script
@@ -52,9 +52,9 @@ case "${1:-.}${2:-.}${3:-.}" in
#
"$1$2$3")
echo "Auto-merging $4."
- orig=$(git-unpack-file $1)
- src1=$(git-unpack-file $2)
- src2=$(git-unpack-file $3)
+ orig=`git-unpack-file $1`
+ src1=`git-unpack-file $2`
+ src2=`git-unpack-file $3`
merge "$src2" "$orig" "$src1"
ret=$?
if [ "$6" != "$7" ]; then
@@ -64,7 +64,7 @@ case "${1:-.}${2:-.}${3:-.}" in
echo "ERROR: Leaving conflict merge in $src2."
exit 1
fi
- sha1=$(git-write-blob "$src2") || {
+ sha1=`git-write-blob "$src2"` || {
echo "ERROR: Leaving conflict merge in $src2."
}
exec git-update-cache --add --cacheinfo "$6" $sha1 "$4" ;;